Package com.germinus.easyconf

# Class ConfigurationException

NestableRuntimeException
com.germinus.easyconf.ConfigurationException

Direct Known Subclasses:
  `ConfigurationNotFoundException`, `DigesterRulesNotFoundException`, `InvalidPropertyException`

public class ConfigurationException extends NestableRuntimeException
Some unrecoverable but important error has ocurred while reading the configuration

Version:
  $Revision: 1.3 $
Author:
  Jorge Ferrer

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`componentName`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`ConfigurationException()`
`protected`
`ConfigurationException(String componentName)`
``
`ConfigurationException(String componentName, String msg)`
``
`ConfigurationException(String componentName, String msg, Throwable thr)`
`protected`
`ConfigurationException(String componentName, Throwable e)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getComponentName()`
`String`
`getMessage()`

## Field Details

### componentName

private String componentName

## Constructor Details

### ConfigurationException

public ConfigurationException()

### ConfigurationException

public ConfigurationException(String componentName, String msg, Throwable thr)

### ConfigurationException

protected ConfigurationException(String componentName)

### ConfigurationException

protected ConfigurationException(String componentName, Throwable e)

### ConfigurationException

public ConfigurationException(String componentName, String msg)

## Method Details

### getComponentName

public String getComponentName()

### getMessage

public String getMessage()